Summary:	Common build files of the C++ binding libraries
Summary(pl.UTF-8):	Wspólne pliki do budowy bibliotek wiązań do C++
Name:		mm-common
Version:	1.0.5
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	https://download.gnome.org/sources/mm-common/1.0/%{name}-%{version}.tar.xz
# Source0-md5:	05d2ca86dfb936c8b2f71b7595ca7ab2
URL:		https://www.gtkmm.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	rpm-perlprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the build infrastructure and utilities shared
among the GNOME C++ binding libraries.

%description -l pl.UTF-8
Ten pakiet dostarcza infrastrukturę do budowania i narzędzia dzielone
pomiędzy biblioteki wiązań C++ do GNOME.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env python3$,%{__python3},' util/mm-common-get.in

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog OVERVIEW.md NEWS README.md
%attr(755,root,root) %{_bindir}/mm-common-get
%attr(755,root,root) %{_bindir}/mm-common-prepare
%docdir %{_docdir}/mm-common
%{_docdir}/mm-common
%{_aclocaldir}/mm-ax_cxx_compile_stdcxx.m4
%{_aclocaldir}/mm-ax_cxx_compile_stdcxx_11.m4
%{_aclocaldir}/mm-common.m4
%{_aclocaldir}/mm-dietlib.m4
%{_aclocaldir}/mm-doc.m4
%{_aclocaldir}/mm-module.m4
%{_aclocaldir}/mm-pkg.m4
%{_aclocaldir}/mm-warnings.m4
%{_datadir}/mm-common
%{_npkgconfigdir}/mm-common-libstdc++.pc
%{_npkgconfigdir}/mm-common-util.pc
%{_mandir}/man1/mm-common-get.1*
%{_mandir}/man1/mm-common-prepare.1*
%changelog
* Sun Dec 04 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mm-common.git;a=log;h=master

* Sun Dec 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 9e085fa
- updated to 1.0.5

* Fri Feb 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 13d72e0
- updated to 1.0.4

* Thu May 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 9a548d7
- updated to 1.0.3

* Fri Sep 25 2020 Jakub Bogusz <qboosh@pld-linux.org> d4b50ca
- updated to 1.0.2
- removed obsolete am patch

* Fri Jun 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 41d54bd
- updated to 1.0.1
- added am patch (remove obsolete script from autotools bs)

* Sat May 02 2020 Jan Palus <atler@pld-linux.org> a065a0c
- fix shebang

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> fbbdc7c
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 61fb99f
- updated to 1.0.0

* Mon Oct 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 899ee9f
- updated to 0.9.12

* Mon Feb 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 84aff73
- updated to 0.9.10

* Sat Nov 28 2015 Jakub Bogusz <qboosh@pld-linux.org> dfd11b4
- updated to 0.9.9

* Thu Jul 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 44a09a9
- updated to 0.9.8

* Tue Sep 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 82a39e0
- updated to 0.9.7

* Sun Oct 21 2012 Jakub Bogusz <qboosh@pld-linux.org> ebfd50b
- updated to 0.9.6

* Fri Apr 01 2011 lisu <lisu@pld-linux.org> 5b5ac13
- up to 0.9.5

* Tue Mar 22 2011 Artur Frysiak <artur@frysiak.net> 652acd5
- %files fix
- rel. 2

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> a4f6ec3
- Up to 0.9.4

* Wed Mar 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 81d503d
- updated to 0.9.3

* Sat Sep 18 2010 Jakub Bogusz <qboosh@pld-linux.org> 0dc72c4
- GPL version (I can see no FDL here)
- verbose aclocal files

* Fri Feb 12 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 142d6d2
- updated to 0.9.2

